Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.enterprise.deploy.spi
Interface DeploymentConfiguration

public interface DeploymentConfiguration

A container for server specific configuration for a top level deployment.

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Method Summary
`DConfigBeanRoot` | `getDConfigBeanRoot(DDBeanRoot bean)` Return the top level configuration for a deployment descriptor
`DeployableObject` | `getDeployableObject()` Return an object that provides access to the deployment descriptor
`void` | `removeDConfigBean(DConfigBeanRoot bean)` Remove a root configuration and all its children
`void` | `restore(InputStream input)` Restores a full set of configuration beans
`DConfigBeanRoot` | `restoreDConfigBean(InputStream input, DDBeanRoot bean)` Restore a configuration from an input stream
`void` | `save(OutputStream output)` Saves the fulls set of configuration beans
`void` | `saveDConfigBean(OutputStream output, DConfigBeanRoot bean)` Save a configuration to an output stream

Method Detail

### getDeployableObject

    public DeployableObject getDeployableObject()

  Return an object that provides access to the deployment descriptor

  Returns:
    the deployable object

### getDConfigBeanRoot

    public DConfigBeanRoot getDConfigBeanRoot(DDBeanRoot bean)
                                       throws ConfigurationException

  Return the top level configuration for a deployment descriptor

  Parameters:
    `bean` - the root of the deployment descriptor
  Returns:
    the configuration
  Throws:
    `ConfigurationException` - for an error in the deployment descriptor

### removeDConfigBean

    public void removeDConfigBean(DConfigBeanRoot bean)
                           throws BeanNotFoundException

  Remove a root configuration and all its children

  Parameters:
    `bean` - the configuration
  Throws:
    `BeanNotFoundException` - when the bean is not found

### restoreDConfigBean

    public DConfigBeanRoot restoreDConfigBean(InputStream input,
                                              DDBeanRoot bean)
                                       throws ConfigurationException

  Restore a configuration from an input stream

  Parameters:
    `input` - the input stream
    `bean` - the deployment descriptor
  Returns:
    the configuration
  Throws:
    `ConfigurationException` - when there is an error in the configuration

### saveDConfigBean

    public void saveDConfigBean(OutputStream output,
                                DConfigBeanRoot bean)
                         throws ConfigurationException

  Save a configuration to an output stream

  Parameters:
    `output` - the output stream
    `bean` - the configuration
  Throws:
    `ConfigurationException` - when there is an error in the configuration

### restore

    public void restore(InputStream input)
                 throws ConfigurationException

  Restores a full set of configuration beans

  Parameters:
    `input` - the input stream
  Throws:
    `ConfigurationException` - for an error in the configuration

### save

    public void save(OutputStream output)
              throws ConfigurationException

  Saves the fulls set of configuration beans

  Parameters:
    `output` - the output stream
  Throws:
    `ConfigurationException` - for an error in the configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.